Multiples
Private v1ApiPrivateV1CompaniesResolve

Bulk name → company-ID mapping

POST
/api/private/v1/companies/resolve

Authorization

bearerAuth
AuthorizationBearer <token>

Send your API key as a bearer token in the Authorization header: Authorization: Bearer mpl_live_.... A single key grants access to all endpoints in this API. Contact your account manager to obtain or rotate a key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/private/v1/companies/resolve" \  -H "Content-Type: application/json" \  -d '{    "names": [      "Salesforce",      "Microsof",      "Zzqx Nonexistent Co"    ]  }'
{  "data": [    {      "query": "Salesforce",      "id": "6f331dee-e4e5-478c-89cd-1aedf66f9515",      "match_type": "exact"    },    {      "query": "Microsof",      "id": null,      "match_type": "ambiguous",      "candidates": [        {          "id": "2ad87f8c-ac55-4e3c-bdd6-ac1a5e50f8a9",          "name": "Microsoft",          "country": "USA",          "score": 0.89        },        {          "id": "6e9b34f8-3a73-4246-9a19-01cfd3402215",          "name": "Microsoft Accelerator",          "country": "USA",          "score": 0.38        },        {          "id": "93fe7742-c1a5-4d71-bd9b-a812f094eced",          "name": "Microsoft for Startups",          "country": "USA",          "score": 0.36        }      ]    },    {      "query": "Zzqx Nonexistent Co",      "id": null,      "match_type": "no_match"    }  ]}